
# circle.py
# Andrew Davison, ad@coe.psu.ac.th, Feb. 2025

import os
os.environ['PYGAME_HIDE_SUPPORT_PROMPT'] = "hide"
from pymunk.vec2d import Vec2d
from linkUtils import *

title = "Circle"
screen = scrInit(title)
scrWidth, scrHeight = screen.get_size()
space = pymunk.Space()

coord0 = Vec2d(scrWidth/2, scrHeight/2)
coordB = coord0 + Vec2d(300, 0)

pt0 = staticBall(space, "0", coord0)
ballB = ball(space, "B", coordB)
beam0B = beam(space, pt0, ballB)

# ballB.velocity = (0,-100)  # move up
pts = animate(screen, space, ballB)
plotPoints(pts, title)